import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRWriteParams } from "./MTRWriteParams.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterBinaryInputBasic extends _MTRGenericCluster {
    static alloc(): _MTRClusterBinaryInputBasic;
    static new(): _MTRClusterBinaryInputBasic;
    init(): _MTRClusterBinaryInputBasic;
    readAttributeActiveTextWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeActiveTextWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeActiveTextWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeDescriptionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeDescriptionWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeDescriptionWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeInactiveTextWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeInactiveTextWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeInactiveTextWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeOutOfServiceWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeOutOfServiceWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeOutOfServiceWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributePolarityWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributePresentValueWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributePresentValueWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributePresentValueWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeReliabilityWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeReliabilityWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeReliabilityWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeStatusFlagsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeApplicationTypeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * The queue is currently unused, but may be used in the future for calling completions for command invocations if commands are added to this cluster.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterBinaryInputBasic | null;
    initWithDevice$endpoint$queue$(device: _MTRDevice, endpoint: number, queue: _NSObject): _MTRClusterBinaryInputBasic | null;
}
